@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
  body {
    @apply dark:text-white;
  }
  h1 {
    @apply text-4xl text-pink-800 dark:text-pink-500 font-bold;
  }
  h2 {
    @apply text-2xl text-blue-800 dark:text-blue-500 font-bold;
  }
  h3 {
    @apply text-lg font-bold;
  }
  em {
    @apply text-pink-800 dark:text-pink-500 not-italic font-bold;
  }
  [role="doc-noteref"] {
    @apply pr-0.5;
  }
  [role="doc-backlink"] {
    @apply pl-1.5;
  }
  [role="doc-endnotes"] {
    @apply space-y-2;
  }
}

@layer components {
  .blue-link {
    @apply text-blue-600 hover:text-blue-500 dark:text-blue-500 dark:hover:text-blue-400 hover:underline;
  }
  .pink-link {
    @apply text-pink-700 hover:text-pink-600 dark:text-pink-300 dark:hover:text-pink-400 hover:underline;
  }
}

[role="doc-noteref"] sup::before {
  content: "[";
}

[role="doc-noteref"] sup::after {
  content: "]";
}

/* firefox autofill */

/* FF 94 and newer */

input:autofill {
  background: #fff;
}

/* FF 67-93; legacy */

input {
  filter: none;
}
